/*****************************************************************
counter.c  (licznik binarny na diodach LED wywietlacza ...
                       ... lub diodach 8-segmentowego wywietlacza)

Program zwiksza zawarto portu P2 w takt naciskania
przycisku Button (P3.2). Port P2 podczony jest do 
wywietlacza LEDS. W takt naciskania przycisku Button zapalaj 
si i gasz diody LEDS lub segmenty wywietlacza.

*****************************************************************/

#include "51xD2.h"        // zbir definiujcy rejestry procesora 
sbit Button = P3^2;                 // definicja przycisku Button 

//---------------------------------------------------------------
void main(void) {
  BYTE i;                                 // definicja zmiennej i
  while (1) {
    while( Button){};           // czekanie na nacinicie Button
    while(!Button){};            // czekanie na zwolnienie Button
    P2=~i++;
           // negacja (~) zapewnia wiecenie diody gdy odpowiedni
                           // bit portu P2 jest w stanie 1 (high)
  }
}

