/*****************************************************************
J_cnt.c                 (licznik w kodzie Johnsona na diodach LED)

Program zwiksza zawarto portu P2 w takt naciskania
przycisku Button (P3.2). Port P2 podczony jest do 
wywietlacza LEDS. W takt naciskania przycisku Button zapalaj 
si i gasz diody LED lub segmenty wywietlacza LEDS.
*****************************************************************/

#include "51xD2.h"        // zbir definiujcy rejestry procesora 
#define Button P3_2                 // definicja przycisku Button 

//---------------------------------------------------------------
void main(void) {
  BYTE i=1;                                // definicja zmiennej i

  while (1) {
    while( Button){};           // czekanie na nacinicie Button 
    while(!Button){};            // czekanie na zwolnienie Button 
    
#pragma asm                // realizacja licznika piercieniowego
   mov A,R7                 ; zmienna "i" jest zapisana w R7
   mov c,0xe7               ; CY <- ACC bit7
   cpl c                    ; CY <- ~ CY
   mov 0xe7,c               ; ACC bit7 <- CY

   rl A                     ; rotacja w lewo akumulatora
   mov R7,A 
#pragma endasm

    P2=~i;
           // negacja (~) zapewnia wiecenie diody gdy odpowiedni
                           // bit portu P2 jest w stanie 1 (high)
  }
}

