/*****************************************************************
T_measure.c                         (pomiar czasu trwania impulsu)

Program mierzy czas trwania impulsw. Mierzone impulsy naley 
podawa na wejcie P3_2. Do pomiaru czasu trwania impulsw 
wykorzystany jest ukad Timer0 pracujcy w trybie 1. Wyniki 
wywietlane s binarnie na diodach LED w postaci 16-bitowej liczby
Jednostk zliczanego czasu dla oscylatora 24MHz jest 0.5usek.
*****************************************************************/

#include "51xD2.h"         // zbir definiujcy rejestry procesora
#define  LEDS_high      P2                      // zesp diod LED
#define  LEDS_low       P0                // dodatkowy zesp diod


//----------------------------------------------------------------
void main(void) {  
 TMOD=0x09;                             //  GATE=1, Timer0: MODE=1
 TR0=1;
 
 while(1) {
    while(! INT0){}; 
    while(  INT0){};     // dziaanie ukadu Timer0 jest bramkowane
                         // ...           wysokim stanem linii INT0
    LEDS_low =  ~TL0;    // wywietl liczb impulsw - modszy bajt
    LEDS_high=  ~TH0;    // wywietl liczb impulsw - starszy bajt
    TH0=0; TL0=0;
 }
}

