/*****************************************************************
sio.c                       (prosta obsuga transmisji szeregowej)


Na terminalu transmisji szeregowej pojawia si napis "Jak si masz
Nacinij cos...". Program czeka na nacinicie dowolnego
klawisza na klawiaturze komputera. Nacinity znak pojawia si na 
terminalu.
Program transmituje i odbiera znaki z parametrami:
               szybko 9600 bps, 
               8-N-1 (8-bitw, N- bez parzystoci, 1 bit stopu).
Wyniki dziaania s widoczne na terminalu transmisji szeregowej.
Wywoaj program typu HYPERTERMINAL (lub lepszy).
*****************************************************************/
#include "51xD2.h"         // zbir definiujcy rejestry procesora
#include "SIO_init.h"  // zbir makrodefinicji przygotowania SIO
                                                //... do dziaania
#include <stdio.h>         // definicje procedur wejcia - wyjcia

//----------------------------------------------------------------
void main(void) {  
 code char t[]="\n Jak sie masz !\n";  
 BYTE i,c;
 SIO_initT1;                          // 9600BPS (8-N-1) dla 24MHz
                    //... uyty jest Timer1 do generacji szybkoci
 while(1) {
    for (i=0;t[i];i++) putchar(t[i]);    // napis "Jak si masz !"
    puts(" Nacisnij cos...\n ");                                  
    c=getkey();                                // czekanie na znak
    putchar(c);           // odebrany znak pojawi si na terminalu
    printf("\n Odebrany znak ASCII: %c (HEX:%02bx DEC:%03bu)",
                                                           c,c,c);
 }                       
}

//--------------------------    nadawanie znaku poprzez zcze SIO 
char putchar(char c) {                
    do { } while (!TI);   // czekanie na gotowo ukadu nadawania 
    TI = 0;                  // zerowanie gotowoci - ukad zajty
    SBUF = c;                                    // wysanie znaku 
    return c;
}

//-------------------------        odbir znaku poprzez zcze SIO
char _getkey(void) {
    do { } while (!RI); // czekanie na gotowo ukadu odbiorczego
    RI = 0;                  // zerowanie gotowoci - ukad zajty 
    return (SBUF);                                 // odbir znaku
}   

