/*****************************************************************
f_2kHz.c              (generowanie przebiegu prostoktnego f=2kHz)

Program uywa ukadu Timer2 do generowanie przebiegu prostoktnego 
o wypenieniu 50%. Jest to tryb dziaania dodany do procesora '52. 
Przebieg jest dostpny na wyjciu T2 (P1_0).
Czstotliwo:
   F_clock_out=fosc/(4* (65536-RCAP2H,RCAP2L))

*****************************************************************/
#include "51xD2.h"      // zbir definiujcy rejestry procesora 

void PWM_init (void);

//----------------------------------------------------------------
void main(void) {
     T2MOD=0x02;         // tryb ukadu Timer2:  P1_0 clock_output           
     T2CON= 0x04;        // ...
     RCAP2H =0xf4;          // warto automatycznie przeadowywana  
     RCAP2L =0x48;            //  -24MHz /(4 * 1kHz) =-3000= 0xf448          
                                                // - fosc/(4* fgen) 
     while(1) {}                                   // "nic nie rb"
}
