/*****************************************************************
KEYB_int_tst.c                       (test przerwa od klawiatury)

Program ilustruje sposb uycia przerwania generowanego przez 
klawiatur skaningow, np.telefoniczn.
Przycinicie dowolnego przycisku na klawiaturze powoduje 
zwikszenie stanu licznika binarnego. Stany licznika widoczne 
s na diodach LEDS.
*****************************************************************/
#include "51xD2.h"        // zbir definiujcy rejestry procesora

#define  LEDS      P2                           // zesp diod LED
BYTE get_char;           // flaga nacinicia przycisku klawiatury
//----------------------------------------------------------------
void main(void) {
                      
   KBE=0x0F;      // zezwolenie na przerwania od bitw P1_3...P1_0
   P1=0x8f;   // wysterowanie trzech kolumn klawiatury wartoci 0
   KBLS=0xF0;       //przerwania na liniach P1_3...P1_0 od stanu 0
   IEN1=0x01;                   // odblokowanie przerwania od KEYB
   EA =1;                      // odblokowanie wszystkich przerwa 
   while(1) {
     if (get_char) {  // get_char jest flag nacinicia przycisku
        LEDS++;                 // licznik binarny na diodach LEDS
        get_char=0; 
     }
  } 
}

// podprogram obsugi przerwania INT0 ----------------------------
void KEYB_int(void) interrupt 7 using 1 { 
  BYTE x;                 
  x=KBF;  // odczyt rejestru KBF kasuje zawarto rejestru KBF !!!
  get_char=1;            // ustawienie flagi nacinicia przycisku
}

