/**********************************************************************
printf_LCD8.c             (stany licznika binarnego wywietlane na LCD)

Program symuluje dziaanie licznika binarnego. 
Ekspozycja stanw licznika odbywa si na diodach LED doczonych
do portu P1.
**********************************************************************/
#include "51xD2.h"              // zbir definiujcy rejestry procesora 

#include <stdio.h>                   // tu zdefiniowano prototyo printf         
#include "lcd.h"                              // definicje procedur LCD    
#include "LCD8bit.c"                 // obsuga wywietlacza 8-bitowego 
 
void main(void) {
  WORD i;
  CKRL =-2;           // podzia oscylatora przez 2: Fosc=24MHz/2=12MHz
  LCD_init;                         // ilicjalizowanie wywietlacza LCD                 

  while (1) {
    P1++;                            // zwikszanie zawartoci portu P1        
    for(i=0;i<0xffff;i++){};                      // opnienie czasowe                     
    printf("Zawarto P1= %02bX\r",P1);  // pisanie na wywietlaczu LCD
                                               // ... s polskie litery
  }                                          
}
