// Obsuga czasu mierzonego w sekundach od 1/01/1970   ------------------                                   
#ifndef _mtime_h
#define _mtime_h

typedef struct {
  WORD   tm_sec;                                     // sekundy  [0, 59]
  WORD   tm_min;                                     // minuty   [0, 59]
  WORD   tm_hour;                                    // godziny  [0, 23]
  WORD   tm_mday;                                // dni miesica [1, 31]
  WORD   tm_mon;                         // miesice od stycznia [0, 11]
  WORD   tm_year;                                   // lata od roku 1900
  WORD   tm_wday;                  // dzie tygodnia od niedzieli [0, 6]
  WORD   tm_yday;                // dni roku od 1-go stycznia - [0, 365]
} tm;

void    SecToDateTime(WORD32 sec, tm *tim);       // sek. -> Data i Czas
WORD32  DateTimeToSec(tm *tim );                    // Data i Czas ->sek
void    DateTimeToStr(tm *tim,char *string);    // Data i Czas -> string

#endif
 
