/*****************************************************************
sio_init.h      
Definicje przygotowujace do pracy transmisj szeregow.
*****************************************************************/
#ifndef _sio_init_h
#define _sio_init_h

// inicjalizacja SIO ------Timer1: oscylator=24MHz; 9600BPS (8N1) ----------
#define SIO_initT1 { SCON=0x52; TMOD |=0x20; TR1=1; TL1=TH1=-13 ;PCON |= 0x80;}

// inicjalizacja SIO ------Timer2: oscylator=24MHz; 9600BPS (8N1) ----------
#define SIO_initT2 { SCON=0x52;  T2CON=0x34;  RCAP2H=TH2=0xff; RCAP2L=TL2=-78; }

// inicjalizacja SIO ------BRD FAST: oscylator=24MHz; 9600BPS (8N1) ----------
#define SIO_initBDRs { SCON=0x52;  BDRCON=0x1C;  BRL=-13; PCON |= 0x80;}

// inicjalizacja SIO ------BRD FAST: oscylator=24MHz; 9600BPS (8N1) ----------
#define SIO_initBDRf { SCON=0x52;  BDRCON=0x1E;  BRL=-39;}

#endif 
