/**********************************************************************
try_modbus.c             (test dziaania transmisji MODBUS i Intel HEX)

Na terminalu transmisji szeregowej pojawia si napis 
"MODBUS TEST". Program czeka na wprowadzenie dowolnej ramki transmisji
w standardzie Intel HEX. Jeli zostanie odebrana poprawna ramka 
transmisji to zostanie ona przesana z powrotem dokadnie w takim
samym formacie. Dobrym testem dla tego programu jest wysanie 
dowolnego zbioru w standardzie Intel Hex (przykadowo LOAD.hex).
Program transmituje i odbiera znaki z parametrami:
        szybko 9600 bps (8-N-1).
**********************************************************************/
#include "51xD2.h"              // zbir definiujcy rejestry procesora
#include <stdio.h>
#include "sio_intr.h"                     // definicje buforw koowych
#include "modbus.h"                       // definicje buforw koowych

//---------------------------------------------------------------------
void main(void) { 
     xdata BYTE Adr,Cmd,Size,len,xx;
     xdata  BYTE Data[16];   
     sio_init();               // przygotowanie ukadu SIO do dziaania
     EA=1;                             // odblokowanie systemu przerwa
     puts("\n\rMODBUS TEST: \n\r");
     while(1)  {
         if (search4head()) {
             len = GetFrame(&Size,&Adr,&Cmd,&xx,Data);
             if( len /*&& (Adr&0x0f)==5 */) 
                                        PutFrame(Size,Adr,Cmd,xx,Data);
         }
     }
}

