/*********************************************************************
buzzer.c                     (przerywany dwik wydawany przez buzzer)

Program generuje przerywany sygna dwikowy. Dwiki wydaje buzzer 
doaczony do P1_3. Program wywouje podprogram opnienia czasowego 
Delay.


**********************************************************************/

#include "51xD2.h"             // zbir definiujcy rejestry procesora 
#define SPEED   0xffff               // definicja staej; sprbuj 0xff


// podprogram opnienia czasowego ------------------------------------
void Delay(WORD time) {               
  WORD i;
  for(i=0;i<time;i++){};                          // opnienie czasowe 
}

//---------------------------------------------------------------------
void main(void) {
  while (1) {                                       // ptla bez kocza
     P1_3=!P1_3;                             // negacja stanu bitu P1_3      
     Delay(SPEED);                    //wywoanie podrogramu opnienia
  }
}
