/*****************************************************************
ring_cnt.c                   (licznik piercieniowy na diodach LED)

Program zwiksza zawarto portu P2 w takt naciskania
przycisku Button (P3.2). Port P2 podczony jest do 
wywietlacza LEDS. W takt naciskania przycisku Button zapalaj 
si i gasz diody LED lub segmenty wywietlacza LEDS.
*****************************************************************/

#include "51xD2.h"        // zbir definiujcy rejestry procesora 
#include <intrins.h>
#define Button P3_2                 // definicja przycisku Button 

//---------------------------------------------------------------
void main(void) {
  BYTE i=1;                                // definicja zmiennej i

  while (1) {
    while( Button){};           // czekanie na nacinicie Button 
    while(!Button){};            // czekanie na zwolnienie Button 
    i= (i==0x80 ) ? 1 : i<<1;            // licznik piercieniowy
    //i= _crol_(i,1);         //... oraz alternatywne rozwizanie
    P2=~i;
           // negacja (~) zapewnia wiecenie diody gdy odpowiedni
                           // bit portu P1 jest w stanie 1 (high)
  }
}

