/*****************************************************************
SIO_shift.c               (transmisja SIO do rejestru przesuwnego)

Program wysya poprzez zcze transmisji szeregowej w trybie 
synchronicznym 1 znak do podczonego rejestru przesuwnego 74HC164.
W wyniku dziaania programu diody LED podczone do rejestru
przesuwnego dziaaj jak licznik binarny w takt naciskania P3_2.
Podprogram _getkey() nie jest wykorzystywany - moe by uyty do
odczytu informacji z rejestru przesuwnego np 74HC165.
Program transmituje znaki synchronicznie (8bitw):
               szybko Fosc/12 bps (okoo 2000000bps).
*****************************************************************/
#include "51xD2.h"         // zbir definiujcy rejestry procesora 

void putc(char );              // prototyp funkcji nadawania znaku
char _getkey(void);              // prototyp funkcji odbioru znaku 

//----------------------------------------------------------------
void main(void) {  
 BYTE i; 
 SCON=0x13;                              // SIO tryb synchroniczny
 while(1) {
     while (P3_2);            // czekanie na nacinicie przycisku
     while (!P3_2);            // czekanie na zwolnienie przycisku
     putc(i++);         //  nadawanie kolejnych wartoci binarnych
 }                        
}


//--------------------------    nadawanie znaku poprzez zcze SIO 
void putc(char c) {                
    do { } while (!TI);   // czekanie na gotowo ukadu nadawania 
    TI = 0;                  // zerowanie gotowoci - ukad zajty
    SBUF = c;                                    // wysanie znaku 
}

//-------------------------        odbir znaku poprzez zcze SIO         
char _getkey(void) {
    do { } while (!RI); // czekanie na gotowo ukadu odbiorczego
    RI = 0;                  // zerowanie gotowoci - ukad zajty 
    return (SBUF);                                 // odbir znaku                            */
}   


