name    tlib     ; Zapis do pamici FLASH (Code) procesora AT89C51xD2

auxr1   data  0a2h       ; Definicja adresu rejestru SFR

?PR?code_wr_block?tlib   segment code       ; Definicja segmentu programu

       public _code_wr_block                ; Etykieta globalna

       rseg    ?PR?code_wr_block?tlib       ; Segment relokowalny
       using 0
_code_wr_block:           ; zapis bloku danych do pamici FLASH ************     
       mov     dpl, r5    ; adres(L) w pamici Code  (low addr code memory) 
       mov     dph, r4    ; adres(H) w pamici Code  (high addr code memory) 
       mov     auxr1,#21h ; wybierz DPTR1 (select DPTR1) w obszarze bootloader 

       mov     dpl, r3    ; adres(L) w pamici Xdata (low addr Xdata memory) 
       mov     dph, r2    ; adres(H) w pamici Xdata (high addr Xdata memory) 
       mov     auxr1,#20h ; wybierz DPTR0 (select DPTR0) w obszarze bootloader   
               
       mov     a,r7       ; liczba bajtw do zapisu (no of bytes for write)
       mov     r1,#09h    ; 09 oznacza funkcj zapisu bloku do pamici 
       lcall   0fff0h     ; wywoanie podprogramu API (call API routine)   
       mov     r7,a       ; odpowied czy zapis jest udany (return value)
       ret

       end
