/*********************************************************************
Xdata_ports.c                (porty I/O w przestrzeni adresowej Xdata)

Program odczytuje zawarto portu SWITCH i zapisuje ten stan do 
portu wyjciowego, do ktrego doczone s diody LEDS. Oba porty 
wejciowy i wyjciowy umieszczone s w przestrzeni Xdata i zajmuj 
ca przestrze adresow.
W programie pokazano rne sposoby definiowania adresw 
portw: (1), (2), (3) i (4). 
Aby sprawdzi poprawno programu bez dodatkowych portw naley uy
definicji (5).
*********************************************************************/
#include "51xD2.h"            // zbir definiujcy rejestry procesora
 
#define   SWITCH      (*(BYTE *)(0x02FFFE))       // przeczniki (1)
#define   LEDS        (*(BYTE *)(0x02FFFF))        // zesp diod (1)
 
//#define LEDS        (*(BYTE volatile xdata *)0xFFFF)          //(2)

//#include <absacc.h>                                           //(3)
//#define  LEDS       XBYTE[0xFFFF]                             //(3)

//BYTE xdata LEDS _at_ 0xFFFF ;                                 //(4)

//#define  SWTCH      P2                                        //(5)
//#define  LEDS       P0                                        //(5)

//-------------------------------------------------------------------
void main(void) {
  while(1) {
       LEDS=SWITCH;  // kopiowanie stanu przecznikw SWTCH do portu
                                            // ...     z diodami LEDS

// ten fragment poniej jest bez sensu ale pokazuje jak ustawia lub
// ... zerowa wybrany bit portu w przestrzeni Xdata,
// ... w tym przypadku jest to najstarszy bit 7         
       LEDS |=  0x80;                                  // ustaw bit 7
       LEDS &= ~0x80;                                // wyzeruj bit 7
       LEDS |=  1 << 8;                                // ustaw bit 7
       LEDS &= ~(1<<8);                              // wyzeruj bit 7

  }
}

