/*****************************************************************
noise.c     (generacja szumu przez generator liczb pseudolosowych)

Program generuje szum pseudolosowy dwoma metodami. Pierwsza metoda 
to symulacja rejestru o sprzniu liniwym. Druga to uycie funkcji
rnd() ze standardowej biblioteki. Szum syszalny jest poprzez Buzzer
a take moe by obserwowany na diodzie LED.

*****************************************************************/

#include "89c51RD2.h"      // zbir definiujcy rejestry procesora 
#include  <stdlib.h>

#define  L_SPEAKER   P3_2                    // Buzzer lub gonik

//----------------------------------------------------------------
void main(void) {
bit a,c,l,p;
unsigned long i=13;     
     while(1) {
        //LED= L_SPEAKER= rand() & 0x01;    // funkcja standardowa
        a= i & 0x40000000L;           // wielomian: x^31+x^14+1
        b= i & 0x00002000L;    
        L_SPEAKER= i & 1;        
       if( a^b ) i = (i>>1);  else  i = (i>>1) | 0x80000000L;// symulacja rejestru liniowego
     }
}
                               

