/**********************************************************************
try_circ.c             (test dziaania buforw koowych dla ukadu SIO)

Na terminalu transmisji szeregowej pojawia si napis 
"CIRULAR BUFFERS TEST". Program czeka na wprowadzenie dowolnej
liczby 16-bitowej typu integer co oznacza liczb dodatni lub ujemn.
Podczas wprowadzania liczby mona uy klawisza BACKSPACE aby
korygowa wprowadzan liczb. Po naciniciu znaku ENTER na terminalu 
transmisji szeregowej pojawia si wprowadzona liczba w standardzie
heksadecymalnym.
Program transmituje i odbiera znaki z parametrami:
        szybko 9600 bps (8-N-1).
**********************************************************************/
#include "51xD2.h"              // zbir definiujcy rejestry procesora 
#include "sio_intr.c"                     // definicje buforw koowych
//#include "SIO_init.h"       // zbir standardowych makrodefinicji SIO
#include <stdio.h>

#define CharNo     40
char line[CharNo];                                // bufor linii tekstu
void getline (char *line, BYTE n);

//---------------------------------------------------------------------
void main(void) { 
     int i;     
     sio_init();               // przygotowanie ukadu SIO do dziaania
     //SIO_initT1;              // przygotowanie standardowe ukadu SIO 
     EA=1;                             // odblokowanie systemu przerwa
     printf("\n\r CIRULAR BUFFERS TEST \n\r");
      while(1)  {
       //putchar(_getkey());              // pobrane znaki s drukowane
       getline(line, CharNo);         // pobranie linii tekstu z edycj
       sscanf(line,"%d",&i);              // interpretacja linii tekstu
       printf("\n\r i= %x HEX\n\r",i);//drukowanie liczby w postaci HEX
     }
}

// pobranie linii tekstu z edycj znakw ----------------------------
// ten podprogram nie zaley od dziaania buforw koowych ----------
void getline (char *line, BYTE n)  {
  BYTE cnt = 0;
  char c;

  do  {
    if ((c = _getkey()) == '\r')  c = '\n';         // pobranie znaku 
    if (c == '\b'  )  {               // obsuga znaku Bakspace(0x08) 
      if (cnt != 0)  {
        cnt--;                        // zmniejszenie licznika znakw 
        line--;             // zmniejszenie wskanika biecego znaku 
        putchar ('\b');              // wyprowadzenie znaku Backspace 
        putchar (' ');
        putchar ('\b');
      }
    }
    else  {
      putchar (*line = c);      // echo znaku i zapis znaku w buforze 
      line++;                 // zwikszenie wskanika znakw w linii 
      cnt++;                           // zwikszenie licznika znakw 
    }
  }  while (cnt < n-1  &&  c != '\n');   // sprawdzenie limitu znakw 
  *line = 0;              // znak 0 (NULL) jest ogranicznikiem znakw 
}



